Name:           ignuit
Version:        2.20.0
Release:        2%{?dist}
Summary:        Memorization aid based on the Leitner flashcard system

License:        GPLv3+ and GPLv2
URL:            http://crash.ihug.co.nz/~trmusson/programs.html
Source0:        http://crash.ihug.co.nz/~trmusson/stuff/%{name}-%{version}.tar.gz

BuildRequires:  gstreamer-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libxslt-devel
BuildRequires:  rarian-compat
BuildRequires:  desktop-file-utils
BuildRequires:  GConf2

Requires:       gstreamer-plugins-base

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2
Requires(post):  info
Requires(preun): info

%description
Ignuit is a memorization aid based on the Leitner flashcard system. It has a 
GNOME look and feel, a good selection of quiz options, and supports UTF-8. Cards
can include embedded audio, images, and mathematical formulae (via LaTeX). It 
can import and export several file formats, including CSV. Ignuit can be used 
for both long-term learning and cramming.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-install                                    \
    --remove-key="Encoding"                             \
    --remove-key="MimeType"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}%{_infodir}/dir

%pre
%gconf_schema_prepare %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%gconf_schema_upgrade %{name}
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
%gconf_schema_remove %{name}

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.extras NEWS README TODO examples
%{_mandir}/man1/%{name}.1.*
%{_infodir}/%{name}.info.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/omf/%{name}/

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 05 2014 Fabian Affolter <mail@fabian-affolter.ch> - 2.20.0-1
- Add man page and info
- Update spec file
- Update to new upstream version 2.20.0 (rhbz#1084962 and rhbz#1037128)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.0.16-3
- Rebuild for new libpng

* Sat Feb 19 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.16-2
- Fix license tag
- Drop texinfo.tex from %%doc
- Remove "Encoding" and "MimeType" from ignuit.desktop

* Mon Jan 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.16-1
- Initial packaging
